package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lid;
import com.brilliance.isc.vo.lc.LidWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LitselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LidMapper {

    int insert(Lid record);

    int insertSelective(Lid record);

    int updateByPrimaryKeySelective(Lid record);

    int updateByPrimaryKey(Lid record);

    int deleteByPrimaryKey(Lid record);

    int deleteByIds(Collection<Object> collection);

    Lid selectByPrimaryKey(Lid record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Lid> dyncRead(Map<String, Object> dyncMap);

    Lid selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Lid selectByWhere(Lid record);

    List<LidWithPtsCbbResponseVo> queryLid(LitselQueryVo litselStoreVo);

    List<LidWithPtsCbbResponseVo> queryLidInfo(LitselQueryVo litselStoreVo);

    Lid selectByInr(@Param("inr") String inr);

    Lid selectByOwnref(String ownref);

    List<LidWithPtsCbbResponseVo> queryUnuseAmt(@Param("lidInrs") List<String> lidInrs);


}